/*
 * $Id: GzipCompressTester.java,v 1.1 2005/10/30 14:33:37 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss;

import org.logical_paradox.rss.rcm.df.DataFilter;
import org.logical_paradox.rss.rcm.df.DataFilterFactory;

/**
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class GzipCompressTester {
	public static final void main(String[] args) throws Exception {
		DataFilter filter = DataFilterFactory.getFilter(DataFilterFactory.GZIP);
		byte[] b = filter.compressContents("a".getBytes());


		String str = new String(filter.decompressContents(b));

		System.out.println("str = " + str);
	}
}
